@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Master</a></li>
			<li class="active">Departement</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Departement</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<button class="btn btn-primary" id="btn_tambah_kb"><i class=""></i>Tambah</button>
	    </div>

	    <table class="table table-stripped table_barang" id="">
	    	<thead>
				<tr>
					<th class="text-center">No</th>
					<th class="text-center">Departement</th>
					<th class="text-center">Lokasi</th>
					<th class="text-center">Aksi</th>
				</tr>
			</thead>
			<tbody>
				
			</tbody>
	    </table>
	</div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Data</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off" id="form_kb">
	      			<input type="hidden" name="popup_departement">
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Departement</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_nama" class="form-control">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Lokasi</label>
	      				<div class="col-sm-8">
	      					<select name="popup_lokasi" class="form-control">
	      					@foreach($lokasi AS $key => $value)
	      					<option value="{{ $value->id_lokasi }}">{{ $value->nama_lokasi }}</option>
	      					@endforeach
	      					</select>
	      				</div>
	      			</div>
	      			<!-- <div class="form-group">
	      				<label class="control-label col-sm-4">Inisial</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_inisial" class="form-control text-uppercase">
	      				</div>
	      			</div> -->
	      			
	      		</form>
	      	</div>
	      	<div class="modal-footer">
	      		<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>



<script type="text/javascript">
	var tb;

	$(document).ready(function(){
		tb = $(".table_barang").DataTable({
			processing: true,
	        serverSide: true,
	        ajax: '{{ url('departement/get_departement') }}',
	        columns: [
	            {data: 'rownum', name: 'rownum', orderable: false, searchable: false, render : function(data, type, row, meta){
			  		return meta.row+1;
			  	}},
	            {data: 'nama', name: 'nama'},
	            {data: 'lokasi', name: 'lokasi'},
	            {data: 'aksi', name: 'aksi', orderable: false, searchable: false}
	        ],
		});
	})

	$("#btn_tambah_kb").click(function(){
		$("[name=popup_id]").val('');
		$("[name=popup_departement]").val('');
		$("[name=popup_nama]").val('');

		$("#exampleModal").modal("show");
	})



	function get_departement(){
		$.ajax({
			url: "{{ url('departement/get_departement')}}  ",
			type: 'get',
			dataType: 'json',
			success: function(respon){
				tb.clear().draw();
				for(i in respon){
					var id = tb.row.add(['<div><center></center></div>',
						'<div data-id="'+respon[i].id_departement+'">'+respon[i].nama+'</div>',
						
						'<div><center>'+respon[i].aksi+'</center></div>'+
						'<input type="hidden" id="table_id'+respon[i].id_departement+'" value="'+respon[i].id_departement+'">'+
						'<input type="hidden" id="table_nama'+respon[i].id_departement+'" value="'+respon[i].nama+'">'
						]).draw().node();

				}
			}
		})
	}


	function edit_departement(id){
		var id_departement = $("#table_id"+id).val();
		var nama = $("#table_nama"+id).val();
		var id_lokasi = $("#table_lokasi"+id).val();
		/*var inisial = $("#table_inisial"+id).val();*/

		$("[name=popup_departement]").val(id_departement);
		$("[name=popup_nama]").val(nama);
		$("select[name=popup_lokasi]").val(id_lokasi).trigger("change");/*
		$("[name=popup_inisial]").val(inisial);*/

		$("#exampleModal").modal('show');

	}

	function hapus_departement(id){
		swal({
			title: 'Anda yakin akan menghapus item ini?',
			type: 'warning',
			showCancelButton: true,
			confirmButtonColor: '#3085d6',
			cancelButtonColor: '#d33',
			confirmButtonText: 'Ya',
			cancelButtonText: 'Tidak',
		}).then((result) => {
		 	if(result.value){
		 		$.ajax({
					url: "{{ url('departement/hapus_departement')}} ",
					type: 'post',
					data: {id : id},
					headers : {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					},
					success: function(respon){
						tb.ajax.reload();
					}
				})
		 	}
		})
	}

	$("#btn_popup_simpan").click(function(){
		var id_departement = $("[name=popup_departement]").val();
		var nama = $("[name=popup_nama]").val();
		var id_lokasi = $("[name=popup_lokasi]").val();/*
		var inisial = $("[name=popup_inisial]").val();*/

		if(nama != ''){
			$.ajax({
				url: "{{ url('departement/simpan_departement')}} ",
				type: 'post',
				data: {id : id_departement, nama : nama, induk : '0', id_lokasi:id_lokasi},
				headers : {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				success: function(respon){
					tb.ajax.reload();
					$("#exampleModal").modal('hide');
				}
			})
		}
	})
	
</script>

@endsection